Debian Bug report logs - #474913
javascript-common overrides /javascript globally

version graph

Package: javascript-common; Maintainer for javascript-common is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>; Source for javascript-common is src:javascript-common.

Reported by: "Marc J. Driftmeyer" <mjd@reanimality.com>

Date: Mon, 7 Apr 2008 21:03:05 UTC

Severity: normal

Merged with 553173

Found in versions javascript-common/5, javascript-common/8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Kemp <skx@debian.org>:
Bug#474913; Package jquery. Full text and rfc822 format available.

Acknowledgement sent to "Marc J. Driftmeyer" <mjd@reanimality.com>:
New Bug report received and forwarded. Copy sent to Steve Kemp <skx@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Marc J. Driftmeyer" <mjd@reanimality.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jquery: Javascript-conf overrides /javascript globally
Date: Mon, 07 Apr 2008 14:02:26 -0700
Package: jquery
Version: 1.2.3-2
Severity: wishlist

The new /etc/javascript-common/javascript-common.conf with the Alias pathway
for /javascript overrides any virtual hosted development configs having
their own /javascript pathway.

I have a simple solution: Since these are all javascript libraries make
the configuration /javascriptlibs and this eliminates this issue.

I have roughly 10 sites with their own /javascript reference paths. I
just changed the Alias under javascript-common.conf to that
/javascriptlibs

It may be a few more characters but it's a simple solution and
references globally available Javascript Libraries separate from one's
own private javascript files and libraries.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages jquery depends on:
ii  javascript-common             1          Base support for javascript librar

jquery recommends no packages.

-- no debconf information




Bug reassigned from package `jquery' to `javascript-common'. Request was from Steve Kemp <skx@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 22:03:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marcelo Jorge Vieira <metal@alucinados.com>:
Bug#474913; Package javascript-common. Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
Extra info received and forwarded to list. Copy sent to Marcelo Jorge Vieira <metal@alucinados.com>. Full text and rfc822 format available.

Message #12 received at 474913@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: "Marc J. Driftmeyer" <mjd@reanimality.com>
Cc: 474913@bugs.debian.org
Subject: Re: Javascripy package maintainance
Date: Mon, 7 Apr 2008 23:01:25 +0100
Hi,

  Thanks for the report.

  (I've reassigned this bug to the 'javascript-common' package
 which is the one which actually makes the global /javascript/
 alias.)

  You raise an interesting point here.  The /javascript/ alias
 could indeed be used by people who wish to use the jquery package,
 and if that is the case then there will be breakage.

  There are two possible solutions to this bug:

  1.  Do nothing.  Rely upon the end user (you in this case) to
     remove the global alias, and change it to their own if they
     spot the collision.

  2.  Change the default for the javascript-common.  I'd actually
     suggest we use /javascript-common/ as the alias, rather than
     your suggestion of '/javascriptlibs'.  That matches the package
     name, if not the directory.

  I've no strong preference on the way forward here, but I'd slightly
 lean towards the first option.  I can see that it could cause users
 pain though; so the second would be acceptible.  I just fear that
 whatever "new name" we pick for the alias will be taken by *somebody*.

  So its the lesser of two evils:  Leave as-is, so that people using
 the package already don't get suprised, or change it and still run
 the risk of a collisions - and a new bug report from a different
 user..

Steve
-- 
Managed Anti-Spam Service
http://mail-scanning.com/





Information forwarded to debian-bugs-dist@lists.debian.org, Marcelo Jorge Vieira <metal@alucinados.com>:
Bug#474913; Package javascript-common. Full text and rfc822 format available.

Acknowledgement sent to "Marc J. Driftmeyer" <mjd@reanimality.com>:
Extra info received and forwarded to list. Copy sent to Marcelo Jorge Vieira <metal@alucinados.com>. Full text and rfc822 format available.

Message #17 received at 474913@bugs.debian.org (full text, mbox):

From: "Marc J. Driftmeyer" <mjd@reanimality.com>
To: Steve Kemp <skx@debian.org>
Cc: 474913@bugs.debian.org
Subject: Re: Javascripy package maintainance
Date: Mon, 7 Apr 2008 19:20:19 -0700
[Message part 1 (text/plain, inline)]
Your solution for javascript-common works for me and maintains  
nomenclature.

- Marc

Marc J. Driftmeyer
mjd@reanimality.com
http://www.reanimality.com
(509)435-5212

On Apr 7, 2008, at 3:01 PM, Steve Kemp wrote:

> Hi,
>
>   Thanks for the report.
>
>   (I've reassigned this bug to the 'javascript-common' package
>  which is the one which actually makes the global /javascript/
>  alias.)
>
>   You raise an interesting point here.  The /javascript/ alias
>  could indeed be used by people who wish to use the jquery package,
>  and if that is the case then there will be breakage.
>
>   There are two possible solutions to this bug:
>
>   1.  Do nothing.  Rely upon the end user (you in this case) to
>      remove the global alias, and change it to their own if they
>      spot the collision.
>
>   2.  Change the default for the javascript-common.  I'd actually
>      suggest we use /javascript-common/ as the alias, rather than
>      your suggestion of '/javascriptlibs'.  That matches the package
>      name, if not the directory.
>
>   I've no strong preference on the way forward here, but I'd slightly
>  lean towards the first option.  I can see that it could cause users
>  pain though; so the second would be acceptible.  I just fear that
>  whatever "new name" we pick for the alias will be taken by  
> *somebody*.
>
>   So its the lesser of two evils:  Leave as-is, so that people using
>  the package already don't get suprised, or change it and still run
>  the risk of a collisions - and a new bug report from a different
>  user..
>
> Steve
> -- 
> Managed Anti-Spam Service
> http://mail-scanning.com/
>

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Mon, 27 Oct 2008 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to rory <rory@campbell-lange.net>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 15:06:03 GMT) Full text and rfc822 format available.

Message #22 received at 474913@bugs.debian.org (full text, mbox):

From: rory <rory@campbell-lange.net>
To: Debian Bug Tracking System <474913@bugs.debian.org>
Subject: javascript-common: Serious problem with global /javascript configuration
Date: Mon, 27 Oct 2008 15:04:16 +0000
Package: javascript-common
Version: 5
Followup-For: Bug #474913


We have a large number of virtual servers with javascript files rooted
to "/javascript".

The /etc/javascript-common/javascript-common.conf file overrode all of
those configurations when the server was restarted. It took a little
while to work out what the problem was.

I'd like to suggest that such a configuration change should be made more
visible to the person upgrading the system and should provide a choice
about whether or not is should be enabled.

Thanks
Rory

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.19.1clw1206clw (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages javascript-common depends on:
ii  wwwconfig-common              0.1.2      Debian web auto configuration

javascript-common recommends no packages.

Versions of packages javascript-common suggests:
ii  apache2-mpm-prefork [httpd]   2.2.9-10   Apache HTTP Server - traditional n

-- debconf-show failed




Changed Bug title to 'javascript-common overrides /javascript globally' from 'jquery: Javascript-conf overrides /javascript globally' Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Mon, 03 May 2010 14:30:08 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'wishlist' Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Mon, 03 May 2010 14:30:09 GMT) Full text and rfc822 format available.

Merged 474913 553173. Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Mon, 03 May 2010 14:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Thu, 11 Nov 2010 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Čihař <nijel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 11 Nov 2010 09:30:04 GMT) Full text and rfc822 format available.

Message #33 received at 474913@bugs.debian.org (full text, mbox):

From: Michal Čihař <nijel@debian.org>
To: Debian Bug Tracking System <474913@bugs.debian.org>
Subject: Completely overrides /javascript in lighttpd as well
Date: Thu, 11 Nov 2010 10:27:10 +0100
Package: javascript-common
Version: 8
File: /etc/javascript-common/lighttpd.conf

Hi

this bug is open for more than two years I still don't see clarification
why this needs to be done.

I see two major issues with this:

1. The alias is made globally for all (virtual) hosts, what just breaks
   lot of applications silently.

2. The /etc/lighttpd/conf-available/90-javascript-alias.conf symlink is
   unconditionally recreated on each package update.

Given that 1 breaks unrelated software (this is actually how I came into
it) and 2 is violation of policy 10.7.3, I am upgrading this bug to
serious.

-- 
	Michal Čihař | http://cihar.com | http://blog.cihar.com

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-vserver-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages javascript-common depends on:
ii  wwwconfig-common              0.2.2      Debian web auto configuration

javascript-common recommends no packages.

Versions of packages javascript-common suggests:
pn  apache2 | httpd               <none>     (no description available)

-- no debconf information




Severity set to 'serious' from 'important' Request was from Michal Čihař <nijel@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 09:30:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 474913: 605227 Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:15:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Sun, 28 Nov 2010 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Fournier <marc.fournier@camptocamp.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 13:33:03 GMT) Full text and rfc822 format available.

Message #42 received at 474913@bugs.debian.org (full text, mbox):

From: Marc Fournier <marc.fournier@camptocamp.com>
To: 474913@bugs.debian.org
Cc: control@bugs.debian.org
Subject: javascript-common: please lower #474913 severity to non-RC
Date: Sun, 28 Nov 2010 14:31:05 +0100
clone 474913 -1
retitle 474913 javascript-common overrides /javascript globally in apache2
retitle -1 javascript-common overrides /javascript globally in lighttpd
notfound -1 5
thanks

Excerpt from /usr/share/doc/apache2.2-common/README.Debian.gz:

    If the local administrator is not comfortable with packages
    activating their config files by default, it is possible
    to change the 'Include /etc/apache2/conf.d/' in apache2.conf
    into 'Include /etc/apache2/conf.d.enabled/' and create that
    directory. He can then put symlinks to the files in conf.d
    which he wants to enable into conf.d.enabled.


Given this bug:
 - has a workaround as suggested above
 - is the same as #565738 and #604980
 - could apply to many other packages (nagios, gitweb, doc-central, etc)
 - should probably get fixed in apache itself (#605227)
 - is a release blocker

I suggest its severity should get lowered.

Furthermore, I'm splitting this bug in:
 - javascript-common overrides /javascript globally in apache2
 - javascript-common overrides /javascript globally in lighttpd

The latter only being in javascript-common/8, it doesn't affect squeeze and
therefore shouldn't be listed in squeeze release blockers.

Many thanks !




Changed Bug title to 'javascript-common overrides /javascript globally in apache2' from 'javascript-common overrides /javascript globally' Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:33:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally in lighttpd' from 'javascript-common overrides /javascript globally in apache2' Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:45:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions javascript-common/5. Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:45:12 GMT) Full text and rfc822 format available.

Disconnected #474913 from all other report(s). Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Sun, 28 Nov 2010 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 28 Nov 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #55 received at 474913@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Marc Fournier <marc.fournier@camptocamp.com>, 474913@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#474913: javascript-common: please lower #474913 severity to non-RC
Date: Sun, 28 Nov 2010 22:38:35 +0800
----- Original message -----
> Given this bug:
>   - has a workaround as suggested above
>   - is the same as #565738 and #604980
>   - could apply to many other packages (nagios, gitweb, doc-central, etc)
>   - should probably get fixed in apache itself (#605227)
>   - is a release blocker
> 
> I suggest its severity should get lowered.

I would also highlight that "fixing" this would in
fact break many other packages that are expecting
the global alias. I don't think it would be a good
idea to change the current behavior, especially so
close to the release!

Thomas Goirand (zigo)





Removed blocking bug(s) of 474913: 605227 Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 14:54:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Tue, 09 Aug 2011 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Loïc Gomez <debian@kyoshiro.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 09 Aug 2011 08:57:09 GMT) Full text and rfc822 format available.

Message #62 received at 474913@bugs.debian.org (full text, mbox):

From: Loïc Gomez <debian@kyoshiro.org>
To: 474913@bugs.debian.org, 553173@bugs.debian.org
Subject: javascript-common should be less intrusive
Date: Tue, 9 Aug 2011 10:54:53 +0200
[Message part 1 (text/plain, inline)]
I totally agree with Michal Čihař, and this bug report should have been
issued by (at least) changing /javascript to something less risky before
releasing. I think even /javascript-common is much too common (sic) to think
it'll not break a few websites. A company could use /javascript for its
websites and have a /javascript-common for common javascript on all of its
websites and thus be inconvenienced.

For the record : I've just tried to install rsslounge on an apache server,
and the website was not working *at all*. The diagnosis was a bit tricky,
there was no error in the server logfiles because of the local rewrites by
rsslounge... In fact it was trying to access rsslounge's javascript in
/usr/share/javascript-common/, where obviously the files were not available.

I can see the point of this package, but I find it too intrusive. In fact, I
find global Aliases too intrusive and I think they should never be defined
for a whole server, but always on a per-vhost basis. We rarely need all
aliases to be on all of our vhosts and sometimes it's a (small, I concede)
security inconvenience.

Here's what I suggest :
- use /javascript-common-libs instead of /javascript and propagate the name
change to the dependent packages. The name javascript-common-libs contains
the package name and is not too common
- javascript-common package should behave like phpmyadmin and ask the user -
at install time - which web servers he'd like to automatically configure to
use it

Regards

--
Loïc Gomez

PS: maybe the bugs #474913 and #553173 could be merged.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Fri, 09 Aug 2013 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcelo Jorge Vieira <metal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Fri, 09 Aug 2013 16:51:04 GMT) Full text and rfc822 format available.

Message #67 received at 474913@bugs.debian.org (full text, mbox):

From: Marcelo Jorge Vieira <metal@debian.org>
To: control <control@bugs.debian.org>
Cc: 474913@bugs.debian.org
Subject: downgrade Severity
Date: Fri, 09 Aug 2013 13:45:46 -0300
[Message part 1 (text/plain, inline)]
severity 474913 normal
thanks


The /etc/lighttpd/conf-available/90-javascript-alias.conf symlink
is no more unconditionally recreated on each package update.

So, I'm downgrading severity from 'serious' to 'normal'.


Cheers,

-- 
Marcelo Jorge Vieira
xmpp:metal@jabber-br.org
http://metaldot.alucinados.com
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from Marcelo Jorge Vieira <metal@debian.org> to control@bugs.debian.org. (Fri, 09 Aug 2013 16:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#474913; Package javascript-common. (Tue, 20 Aug 2013 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jean-Michel Vourgère" <jmv_deb@nirgal.com>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Tue, 20 Aug 2013 10:39:04 GMT) Full text and rfc822 format available.

Message #74 received at 474913@bugs.debian.org (full text, mbox):

From: "Jean-Michel Vourgère" <jmv_deb@nirgal.com>
To: 474913@bugs.debian.org
Subject: Re: javascript-common overrides /javascript globally
Date: Tue, 20 Aug 2013 10:36:35 +0000
[Message part 1 (text/plain, inline)]
Control: forcemerge -1 553173
Control: retitle -1 javascript-common overrides /javascript globally

Now that version 11 has hit testing (It only took over 1000 days),
and that javascript-common no longer rewrites the alias on every reconfigure
if the sysop disabled it, I don't see the point to separate apache2 bug from
lighttpd one.

The question is whether it is ok to use /javascript url namespace or not.

The choice of the http deamon is not relevant, imho.
[signature.asc (application/pgp-signature, inline)]

Marked as found in versions javascript-common/5. Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:05 GMT) Full text and rfc822 format available.

Merged 474913 553173 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'javascript-common overrides /javascript globally' from 'javascript-common overrides /javascript globally in lighttpd' Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 474913: 605227 Request was from "Jean-Michel Vourgère" <jmv_deb@nirgal.com> to control@bugs.debian.org. (Tue, 20 Aug 2013 10:48:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:01:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.